Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.applet
Class AppletID

    java.lang.Object
      opencard.opt.applet.ID
          opencard.opt.applet.AppletID

All Implemented Interfaces:
  SecurityDomain

    public class AppletID

extends ID
implements SecurityDomain

`AppletID` encapsulates the applet identifier as defined by ISO 7816-5. Presently the AppletID

consists out of an array of at most 16 bytes. It is derived from the class ID which defines the handling of byte arrays which are used as IDs.

Since:
  OCF1.2
Version:
  $Id: AppletID.java,v 1.4 2000/01/14 09:32:26 damke Exp $
Author:
  Reto Hermann (rhe@zurich.ibm.com), Thomas Schaeck (schaeck@de.ibm.com), Thomas Stober (tstober@de.ibm.com)
See Also:
  `ID`

Constructor Summary
`AppletID(byte[] bytes)` Constructs the AppletID from a byte array.
`AppletID(java.lang.String appletID)` Constructs the AppletID from a hexadecimal string.

Method Summary
`boolean` | `equals(java.lang.Object object)` Checks whether this ID equals another object.

Methods inherited from class opencard.opt.applet.ID
`getBytes, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppletID

    public AppletID(byte[] bytes)

  Constructs the AppletID from a byte array.

  Parameters:
    `bytes` - Byte array for initialization of the ID.

### AppletID

    public AppletID(java.lang.String appletID)

  Constructs the AppletID from a hexadecimal string.

  Parameters:
    `appletID` - Hexadecimal string for initialization of the ID.

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Checks whether this ID equals another object.

  Overrides:
    `equals` in class `ID`
  Parameters:
    `object` - The object to be compared with this ID.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD